/*
  Copyright © 2010 Harald Sitter <apachelogger@ubuntu.com>

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License as
  published by the Free Software Foundation; either version 2 of
  the License or (at your option) version 3 or any later version
  accepted by the membership of KDE e.V. (or its successor approved
  by the membership of KDE e.V.), which shall act as a proxy
  defined in Section 14 of version 3 of the license.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#include "CouchDB.h"

namespace UbuntuOne
{
    namespace Api
    {

        class CouchDBPrivate
        {
        public:
            virtual ~CouchDBPrivate() {}
            QString m_path;
            QString m_host;
            QString m_root;
        };

        CouchDB::CouchDB(QObject *parent) :
            QObject(parent),
            d_ptr(new CouchDBPrivate)
        {
        }

        CouchDB::~CouchDB()
        {
            delete d_ptr;
        }

        QString CouchDB::path() const
        {
            Q_D(const CouchDB);

            return d->m_path;
        }

        void CouchDB::setPath(const QString &path)
        {
            Q_D(CouchDB);

            d->m_path = path;
        }

        QString CouchDB::host() const
        {
            Q_D(const CouchDB);

            return d->m_host;
        }

        void CouchDB::setHost(const QString &host)
        {
            Q_D(CouchDB);

            d->m_path = host;
        }

        QString CouchDB::root() const
        {
            Q_D(const CouchDB);

            return d->m_root;
        }

        void CouchDB::setRoot(const QString &root)
        {
            Q_D(CouchDB);

            d->m_path = root;
        }

    } // namespace Api
} // namespace UbuntuOne
