/*
  Copyright © 2010 Harald Sitter <apachelogger@ubuntu.com>

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License as
  published by the Free Software Foundation; either version 2 of
  the License or (at your option) version 3 or any later version
  accepted by the membership of KDE e.V. (or its successor approved
  by the membership of KDE e.V.), which shall act as a proxy
  defined in Section 14 of version 3 of the license.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#include "Quota.h"

namespace UbuntuOne
{
    namespace Api
    {

        class QuotaPrivate
        {
        public:
            virtual ~QuotaPrivate() {}
            qulonglong m_total;
            qulonglong m_used;
            QString m_url;
        };

        Quota::Quota(QObject *parent) :
            QObject(parent),
            d_ptr(new QuotaPrivate)
        {
        }

        Quota::~Quota()
        {
            delete d_ptr;
        }

        qulonglong Quota::total() const
        {
            Q_D(const Quota);
            return d->m_total;
        }

        void Quota::setTotal(const qulonglong &total)
        {
            Q_D(Quota);
            d->m_total = total;
        }

        qulonglong Quota::used() const
        {
            Q_D(const Quota);
            return d->m_used;
        }

        void Quota::setUsed(const qulonglong &used)
        {
            Q_D(Quota);
            d->m_used = used;
        }

    } // namespace Api
} // namespace UbuntuOne
