/*
  Copyright © 2010 Harald Sitter <apachelogger@ubuntu.com>

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License as
  published by the Free Software Foundation; either version 2 of
  the License or (at your option) version 3 or any later version
  accepted by the membership of KDE e.V. (or its successor approved
  by the membership of KDE e.V.), which shall act as a proxy
  defined in Section 14 of version 3 of the license.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/


#ifndef CONFIGWIDGET_H
#define CONFIGWIDGET_H

#include <QtGui/QWidget>

// TODO: this include ought to be replaced by a global and/or types include that
//       contains throttling limits...
#include <SyncDaemonConfig.h>

namespace Ui {
    class ConfigWidget;
}

namespace UbuntuOne {

    class ConfigWidget : public QWidget
    {
        Q_OBJECT

    public:
        explicit ConfigWidget(QWidget *parent = 0);
        ~ConfigWidget();

        bool isThrottling() const;
        void setThrottling(bool enabled);

        SyncDaemonConfig::ThrottlingLimits throttlingLimits() const;
        void setThrottlingLimits(SyncDaemonConfig::ThrottlingLimits limits);
        void setThrottlingLimits(int upload, int download);

        bool autostart() const;
        void setAutostart(bool enabled);

    signals:
        void changed();

    private:
        Ui::ConfigWidget *ui;
    };


} // namespace UbuntuOne
#endif // CONFIGWIDGET_H
