/*
Copyright © 2010 Harald Sitter <apachelogger@ubuntu.com>

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License as
published by the Free Software Foundation; either version 2 of
the License or (at your option) version 3 or any later version
accepted by the membership of KDE e.V. (or its successor approved
by the membership of KDE e.V.), which shall act as a proxy
defined in Section 14 of version 3 of the license.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#include "FolderModule.h"

#include <QtGui/QVBoxLayout>
#include <QtGui/QLabel>

#include <KLocalizedString>
#include <KPluginFactory>

#include "FolderSelectionWidget.h"

K_PLUGIN_FACTORY_DECLARATION(KcmUbuntuOneFactory)

namespace UbuntuOne
{
    FolderModule::FolderModule(QWidget *parent, const QVariantList &args) :
            KCModule(KcmUbuntuOneFactory::componentData(), parent, args)
    {
        setLayout(new QVBoxLayout(this));

        QLabel *label = new QLabel(this);
        label->setText(i18nc("@label", "Below, the folders can be selected that should be synchronized using Ubuntu One."
                             "This also implies that the folders will be available in the Ubuntu One web interface."));
        label->setWordWrap(true);
        layout()->addWidget(label);

        m_folders = new FolderSelectionWidget(this);
        layout()->addWidget(m_folders);
        connect(m_folders, SIGNAL(changed()), this, SLOT(changed()));
    }

    FolderModule::~FolderModule()
    {
    }

    void FolderModule::load()
    {
    }

    void FolderModule::save()
    {
        m_folders->save();
    }

    void FolderModule::defaults()
    {
    }
} // namespace UbuntuOne

#include "FolderModule.moc"
