/*
  Copyright © 2010 Harald Sitter <apachelogger@ubuntu.com>

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License as
  published by the Free Software Foundation; either version 2 of
  the License or (at your option) version 3 or any later version
  accepted by the membership of KDE e.V. (or its successor approved
  by the membership of KDE e.V.), which shall act as a proxy
  defined in Section 14 of version 3 of the license.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#include "FolderSelectionWidget.h"

#include <QtGui/QVBoxLayout>

#include "FolderModel.h"
#include "FolderTreeView.h"

namespace UbuntuOne {
    FolderSelectionWidget::FolderSelectionWidget(QWidget *parent) :
            QWidget(parent)
    {
        setSizePolicy(QSizePolicy::Expanding, QSizePolicy::Expanding);
        setLayout(new QVBoxLayout);

        m_model = new FolderModel;
        m_view = new FolderTreeView(this);
        m_view->setModel(m_model);
        // TODO this really should go elsewhere
        m_view->setRootIndex(m_model->setRootPath( QDir::homePath()));
        layout()->addWidget(m_view);

        connect(m_model, SIGNAL(dataChanged(QModelIndex,QModelIndex)),
                this, SIGNAL(changed()));
    }

    void FolderSelectionWidget::save()
    {
        m_model->save();
    }
} // namespace UbuntuOne
