/*
  Copyright © 2010 Harald Sitter <apachelogger@ubuntu.com>

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License as
  published by the Free Software Foundation; either version 2 of
  the License or (at your option) version 3 or any later version
  accepted by the membership of KDE e.V. (or its successor approved
  by the membership of KDE e.V.), which shall act as a proxy
  defined in Section 14 of version 3 of the license.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef INFOWIDGET_H
#define INFOWIDGET_H

#include <QtGui/QWidget>

#include "Device.h"

class KCapacityBar;

namespace Ui {
    class InfoWidget;
}

namespace UbuntuOne
{
    namespace Api
    {
        class Account;
        class Quota;
    }

    class InfoWidget : public QWidget
    {
        Q_OBJECT

    public:
        explicit InfoWidget(QWidget *parent = 0);
        virtual ~InfoWidget();

    public slots:
        void set(const UbuntuOne::Api::Account &account);
        void set(const UbuntuOne::Api::Quota &quota);
        void set(const QList<UbuntuOne::Api::Device> &deviceList);

    private slots:
        static void openUrl(const QString &url);

    private:
        Ui::InfoWidget *ui;
        KCapacityBar *m_stoarge;
    };
} // namespace UbuntuOne

#endif
