/*
Copyright © 2010 Harald Sitter <apachelogger@ubuntu.com>

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License as
published by the Free Software Foundation; either version 2 of
the License or (at your option) version 3 or any later version
accepted by the membership of KDE e.V. (or its successor approved
by the membership of KDE e.V.), which shall act as a proxy
defined in Section 14 of version 3 of the license.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef SHAREINFOWIDGET_H
#define SHAREINFOWIDGET_H

#include <QtGui/QGroupBox>

// TODO: I do not like this include
#include "Share.h"

class QGridLayout;
class QLabel;

class KUrlLabel;

namespace UbuntuOne {

    class ShareInfoWidget : public QGroupBox
    {
        Q_OBJECT

    public:
        explicit ShareInfoWidget(QWidget *parent = 0);
        ~ShareInfoWidget();

        void setType(Share::Type type);
        void setPath(const QString &path);
        void setSharedWith(const QString &partner);
        void setSharedWith(const QStringList &partners);
        void setAccess(Share::Access);
        void setFreeSpace(double freeBytes);

    private slots:
        void openUrl(const QString &url);

    private:
        QGridLayout *m_layout;
        QLabel *m_iconLabel;
        QLabel *m_pathLabel;
        KUrlLabel *m_pathValueLabel;
        QLabel *m_sharedWithLabel;
        QLabel *m_sharedWithValueLabel;
        QLabel *m_accessLabel;
        QLabel *m_accessValueLabel;
        QLabel *m_freeSpaceLabel;
        QLabel *m_freeSpaceValueLabel;
    };

} // namespace UbuntuOne

#endif // SHAREINFOWIDGET_H
