/*
Copyright © 2010 Harald Sitter <apachelogger@ubuntu.com>

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License as
published by the Free Software Foundation; either version 2 of
the License or (at your option) version 3 or any later version
accepted by the membership of KDE e.V. (or its successor approved
by the membership of KDE e.V.), which shall act as a proxy
defined in Section 14 of version 3 of the license.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#include "ShareModule.h"

#include <QtGui/QVBoxLayout>

#include <KPluginFactory>

#include "SyncDaemonShares.h"

#include "ShareInfoWidget.h"

K_PLUGIN_FACTORY_DECLARATION(KcmUbuntuOneFactory);

namespace UbuntuOne {

    ShareModule::ShareModule(QWidget *parent, const QVariantList &args) :
            KCModule(KcmUbuntuOneFactory::componentData(), parent, args)
    {
        setLayout(new QVBoxLayout(this));

        SyncDaemonShares s;
        ShareList shares = s.shares();
        shares.append(s.shared());
        ShareInfoWidget *i;
        foreach (const Share &share, shares) {
            i = new ShareInfoWidget(this);
            i->setType(share.type());
            i->setPath(share.path());
            i->setSharedWith(share.otherVisibleName());
            i->setAccess(share.accessLevel());
            i->setFreeSpace(share.freeBytes());
            layout()->addWidget(i);
        }
    }

    ShareModule::~ShareModule()
    {
    }

    void ShareModule::load()
    {
    }

    void ShareModule::save()
    {
    }

    void ShareModule::defaults()
    {
    }

} // namespace UbuntuOne
