/*
  Copyright © 2010 Harald Sitter <apachelogger@ubuntu.com>

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License as
  published by the Free Software Foundation; either version 2 of
  the License or (at your option) version 3 or any later version
  accepted by the membership of KDE e.V. (or its successor approved
  by the membership of KDE e.V.), which shall act as a proxy
  defined in Section 14 of version 3 of the license.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#include "KIO.h"

#include <KComponentData>
#include <KDebug>

#include <QtGui/QApplication>

extern "C" int KDE_EXPORT kdemain(int argc, char **argv)
{
    kDebug(7000) << "Entering function";
//  TODO
    QCoreApplication app(argc, argv);
    KComponentData("kio_ubuntuone", "kdelibs4");
    KGlobal::locale();

    UbuntuOne::Slave slave(argv[1], argv[2], argv[3]);
    slave.dispatchLoop();
    return 0;
}

namespace UbuntuOne
{

    Slave::Slave(const QByteArray &protocol, const QByteArray &pool,
                 const QByteArray &app) :
        KIO::ForwardingSlaveBase(protocol, pool, app)
    {
    }

    Slave::~Slave()
    {
    }

    bool Slave::rewriteUrl(const KUrl &url, KUrl &newUrl)
    {
        newUrl.setProtocol("file");
        newUrl.setPath("/home/me/Ubuntu One");
        newUrl.addPath(url.path());

        return true;
    }

    void Slave::prepareUDSEntry(KIO::UDSEntry &entry, bool listing) const
    {
        ForwardingSlaveBase::prepareUDSEntry(entry, listing);
//      const QString path = desktopFile(entry);

        entry.insert(KIO::UDSEntry::UDS_ICON_NAME, QString::fromLatin1("parley"));

//      if (!path.isEmpty()) {
//          KDesktopFile file(path);

//          const QString name = file.readName();
//          if (!name.isEmpty())
//              entry.insert(KIO::UDSEntry::UDS_DISPLAY_NAME, name);

//          if (file.noDisplay() || !file.tryExec())
//              entry.insert(KIO::UDSEntry::UDS_HIDDEN, 1);
//      }

        // Set the target URL to the local path
//      entry.insert(KIO::UDSEntry::UDS_TARGET_URL, entry.stringValue(KIO::UDSEntry::UDS_LOCAL_PATH));
    }

} // namespace UbuntuOne
