/*
  Copyright © 2009-2010 Harald Sitter <apachelogger@ubuntu.com>

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License as
  published by the Free Software Foundation; either version 2 of
  the License or (at your option) version 3 or any later version
  accepted by the membership of KDE e.V. (or its successor approved
  by the membership of KDE e.V.), which shall act as a proxy
  defined in Section 14 of version 3 of the license.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef MARSHALARGS_H
#define MARSHALARGS_H

#include "Types.h"
#include "QDebug"

inline const QDBusArgument &operator>>(const QDBusArgument &argument,
                                       QStringHashHash &myhash)
{
    argument.beginMap();
    myhash.clear();

    while (!argument.atEnd()) {
        QString key;
        QStringHash value;
        argument.beginMapEntry();
        argument >> key >> value;
        argument.endMapEntry();
        myhash.insert(key, value);
    }

    argument.endMap();
    return argument;
}

inline const QDBusArgument &operator>>(const QDBusArgument &argument,
                                       QStringHash &myhash)
{
    argument.beginMap();
    myhash.clear();

    while (!argument.atEnd()) {
        QString key;
        QString value;
        argument.beginMapEntry();
        argument >> key >> value;
        argument.endMapEntry();
        myhash.insert(key, value);
    }

    argument.endMap();
    return argument;
}

inline QDBusArgument &operator<<(QDBusArgument &argument,
                                 const QStringHash &myhash)
{
    argument.beginMap(QVariant::String, QVariant::String);

    QStringHash::const_iterator i = myhash.constBegin();
    while (i != myhash.constEnd()) {
        argument.beginMapEntry();
        argument << i.key() << i.value();
        argument.endMapEntry();
        ++i;
    }
    argument.endMap();
    return argument;
}

#endif // MARSHALARGS_H
