/*
  Copyright © 2010 Harald Sitter <apachelogger@ubuntu.com>

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License as
  published by the Free Software Foundation; either version 2 of
  the License or (at your option) version 3 or any later version
  accepted by the membership of KDE e.V. (or its successor approved
  by the membership of KDE e.V.), which shall act as a proxy
  defined in Section 14 of version 3 of the license.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef PLASMAWIDGET_APPLET_H
#define PLASMAWIDGET_APPLET_H

#include <KIcon>
#include <Plasma/PopupApplet>

namespace UbuntuOne
{

    class SyncDaemon;

    class PlasmaWidget: public Plasma::PopupApplet
    {
        Q_OBJECT

    public:
        enum State {
            Disconnected = 0,
            Connected = 1,
        };

        PlasmaWidget(QObject *parent, const QVariantList &args);
        ~PlasmaWidget();

        void init();

        void paintInterface(QPainter *p,
                            const QStyleOptionGraphicsItem *option,
                            const QRect &contentsRect);

    private:
        SyncDaemon *d;
        State m_state;
        KIcon m_icon;

    private slots:
        void setDisconnected();
        void setConnected();
    };

}  // namespace UbuntuOne

K_EXPORT_PLASMA_APPLET(ubuntuone, UbuntuOne::PlasmaWidget)

#endif // PLASMAWIDGET_APPLET_H
