/*
  Copyright © 2010 Harald Sitter <apachelogger@ubuntu.com>

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License as
  published by the Free Software Foundation; either version 2 of
  the License or (at your option) version 3 or any later version
  accepted by the membership of KDE e.V. (or its successor approved
  by the membership of KDE e.V.), which shall act as a proxy
  defined in Section 14 of version 3 of the license.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#include "SharePropertiesWidget.h"
#include "ui_SharePropertiesWidget.h"

#include <KLineEdit>
#include <KLocalizedString>

namespace UbuntuOne {
    SharePropertiesWidget::SharePropertiesWidget(QWidget *parent) :
            QWidget(parent),
            ui(new Ui::SharePropertiesWidget)
    {
        ui->setupUi(this);

        ui->accessLevelComboBox->insertItem(Share::Read,
                                            i18nc("@item:inlistbox A Share is only readable", "Read Only"));
        ui->accessLevelComboBox->insertItem(Share::Write,
                                            i18nc("@item:inlistbox A Share is readable and writable", "Writable"));
    }

    QString SharePropertiesWidget::name() const
    {
        return ui->shareNameLine->text();
    }

    KLineEdit *SharePropertiesWidget::nameLine() const
    {
        return ui->shareNameLine;
    }

    Share::Access SharePropertiesWidget::access() const
    {
        return static_cast<Share::Access>(ui->accessLevelComboBox->currentIndex());
    }

    SharePropertiesWidget::~SharePropertiesWidget()
    {
        delete ui;
    }

} // namespace UbuntuOne
