/*
  Copyright © 2009-2010 Harald Sitter <apachelogger@ubuntu.com>

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License as
  published by the Free Software Foundation; either version 2 of
  the License or (at your option) version 3 or any later version
  accepted by the membership of KDE e.V. (or its successor approved
  by the membership of KDE e.V.), which shall act as a proxy
  defined in Section 14 of version 3 of the license.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#include "Application.h"

#include <KAboutData>
#include <KCmdLineArgs>
#include <KLocalizedString>

static KAboutData aboutData("ubuntuone-kde", 0,
                            ki18n("Ubuntu One"), "0.1",
                            ki18n("Ubuntu One Status Notifier"),
                            KAboutData::License_GPL_V3,
                            ki18n("Copyright 2009-2010, Harald Sitter apachelogger@ubuntu.com"),
                            KLocalizedString(),
                            "http://one.ubuntu.com",
                            "http://bugs.launchpad.net/ubuntuone-client");

int main(int argc, char *argv[])
{
    aboutData.setOrganizationDomain("ubuntuone.com");
    aboutData.addAuthor(ki18n("Harald Sitter"), ki18n("Developer"),
                        "apachelogger@ubuntu.com");

    KCmdLineArgs::init(argc, argv, &aboutData);

    UbuntuOne::Application::addCmdLineOptions();

    if (!UbuntuOne::Application::start()) {
        return 0;
    }

    UbuntuOne::Application app;
    app.setQuitOnLastWindowClosed(false);
    return app.exec();
}
